﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMFS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMFS_PROJECTINITIALIZE' AND KSQL_COL_NAME ='FSPLITBYCOUNT') 
 ALTER TABLE T_PMFS_PROJECTINITIALIZE ADD (FSPLITBYCOUNT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMFS_PROJECTINITIALIZE' AND KSQL_COL_NAME ='FSPLITDIMENSION') 
 ALTER TABLE T_PMFS_PROJECTINITIALIZE ADD (FSPLITDIMENSION NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMFS_PROJECTINITIALIZE' AND KSQL_COL_NAME ='FSPLITMETHOD') 
 ALTER TABLE T_PMFS_PROJECTINITIALIZE ADD (FSPLITMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_SUBSPLITENTRY') 
 CREATE TABLE T_PMFS_SUBSPLITENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSUBDATE DATETIME,
FSUBCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBPERCENTAGE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBWBSNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSUBWBSNAME VARCHAR(30) DEFAULT ' ' NOT NULL,
FSUBREMARK VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMFS_WBSPROGRESSREPORT' AND KSQL_COL_NAME ='FENTRYINVESTBYPERIOD') 
 ALTER TABLE T_PMFS_WBSPROGRESSREPORT ADD (FENTRYINVESTBYPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMFS_WBSPROGRESSREPORT' AND KSQL_COL_NAME ='FENTRYALLINVESTBYPERIOD') 
 ALTER TABLE T_PMFS_WBSPROGRESSREPORT ADD (FENTRYALLINVESTBYPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMFS_WBSPROGRESSREPORT' AND KSQL_COL_NAME ='FENTRYPROGRESSBYPERIOD') 
 ALTER TABLE T_PMFS_WBSPROGRESSREPORT ADD (FENTRYPROGRESSBYPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMFS_WBSPROGRESSREPORT' AND KSQL_COL_NAME ='FENTRYALLPROGRESSBYPERIOD') 
 ALTER TABLE T_PMFS_WBSPROGRESSREPORT ADD (FENTRYALLPROGRESSBYPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMFS_PROGRESSREPORT' AND KSQL_COL_NAME ='FINVESTBYPERIOD') 
 ALTER TABLE T_PMFS_PROGRESSREPORT ADD (FINVESTBYPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMFS_PROGRESSREPORT' AND KSQL_COL_NAME ='FALLINVESTBYPERIOD') 
 ALTER TABLE T_PMFS_PROGRESSREPORT ADD (FALLINVESTBYPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMFS_PROGRESSREPORT' AND KSQL_COL_NAME ='FPROGRESSBYPERIOD') 
 ALTER TABLE T_PMFS_PROGRESSREPORT ADD (FPROGRESSBYPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMFS_PROGRESSREPORT' AND KSQL_COL_NAME ='FALLPROGRESSBYPERIOD') 
 ALTER TABLE T_PMFS_PROGRESSREPORT ADD (FALLPROGRESSBYPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL );

 

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMFS_table.sql **/
