﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMFS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_PROJECTACCEPT') 
 CREATE TABLE T_PMFS_PROJECTACCEPT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FWBSNAMEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERNAMEID BIGINT DEFAULT 0 NOT NULL,
FACCEPTORGPERSONID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FHANDACCEPTDES NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_CONTRACT') 
 CREATE TABLE T_PMFS_CONTRACT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACTNOID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTARCTLATESTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_ACCEPTPARTICIPANT') 
 CREATE TABLE T_PMFS_ACCEPTPARTICIPANT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_SUPPLIERIDENT') 
 CREATE TABLE T_PMFS_SUPPLIERIDENT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_TENDERDOC') 
 CREATE TABLE T_PMFS_TENDERDOC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_TENDERINFORM') 
 CREATE TABLE T_PMFS_TENDERINFORM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROJECTKIND NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBIDSECTION NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIFMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FORGANIZATION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSUCCEEDBIDDERID BIGINT DEFAULT 0 NOT NULL,
FBIDDERSORT INT DEFAULT 0 NOT NULL,
FBIDDERAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPENBIDDATE DATETIME,
FEVALUATERESULT NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_PROJECTINITIALIZE') 
 CREATE TABLE T_PMFS_PROJECTINITIALIZE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FESTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTIMETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FVERSION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXECUTIVEVERSION INT DEFAULT 1 NOT NULL,
FRESOURCEPROJECTINITID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_SPLITENTRY') 
 CREATE TABLE T_PMFS_SPLITENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FWBSNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FWBSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMILESTONE NVARCHAR(30) DEFAULT '  ' NOT NULL,
FPLANSTARTTIME DATETIME,
FPLANENDTIME DATETIME,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSCHEDULE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPLETEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF INT DEFAULT 0 NOT NULL,
FRESOURCEWBSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_EPA_PARTICIPANT') 
 CREATE TABLE T_PMFS_EPA_PARTICIPANT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_INVESTREGISTER') 
 CREATE TABLE T_PMFS_INVESTREGISTER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCOMPANY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREGISADDRESS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLEGALREPRESENT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREGISCAPITAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FESTABLISHDATE DATETIME,
FLICENSENO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FINDUSTRY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBUSINESS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FOURSHARESRATIO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOTHERSHARES NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTACTS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTACTNUM NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROAPPDATE DATETIME,
FTOTALPLANNINVEST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVESTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVESTRATIO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FALLINVEST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINISHINVESTRATIO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_INVESTSTEPSENTRY') 
 CREATE TABLE T_PMFS_INVESTSTEPSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FINVESTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINVESTMODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINVESTDATE DATETIME,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMFS_PROGRESSREPORT') 
 CREATE TABLE T_PMFS_PROGRESSREPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FWBSID BIGINT DEFAULT 0 NOT NULL,
FPERIODTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPERIOD DATETIME,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FCURRENTINVEST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODINVEST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FALLINVEST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTPROGRESS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODPROGRESS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FALLPROGRESS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPLAIN NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPERIODSTR NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMFS_table.sql **/
