﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMFS_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PMFS_PROJECTACCEPT', 'T_PMFS_PROJECTACCEPT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMFS_PROACCEPT_0') CREATE INDEX IDX_PMFS_PROACCEPT_0 ON T_PMFS_PROJECTACCEPT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMFS_CONTRACT', 'T_PMFS_CONTRACT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMFS_CONTRACT_0') CREATE INDEX IDX_PMFS_CONTRACT_0 ON T_PMFS_CONTRACT ( FCONTRACTNOID );


 EXEC P_ALTERPK 'PK_T_PMFS_ACCEPTPARTICIPANT', 'T_PMFS_ACCEPTPARTICIPANT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMFS_ACCPART_0') CREATE INDEX IDX_PMFS_ACCPART_0 ON T_PMFS_ACCEPTPARTICIPANT ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_PMFS_SUPPLIERIDENT', 'T_PMFS_SUPPLIERIDENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMFS_SUPPLIER_0') CREATE INDEX IDX_PMFS_SUPPLIER_0 ON T_PMFS_SUPPLIERIDENT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMFS_TENDERDOC', 'T_PMFS_TENDERDOC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMFS_TENDDOC_0') CREATE INDEX IDX_PMFS_TENDDOC_0 ON T_PMFS_TENDERDOC ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_PMFS_TENDERINFORM', 'T_PMFS_TENDERINFORM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMFS_TENDER_0') CREATE INDEX IDX_PMFS_TENDER_0 ON T_PMFS_TENDERINFORM ( FSUCCEEDBIDDERID );


 EXEC P_ALTERPK 'PK_T_PMFS_PROJECTINITIALIZE', 'T_PMFS_PROJECTINITIALIZE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMFS_PJI_BILLNO_1') CREATE INDEX IDX_PMFS_PJI_BILLNO_1 ON T_PMFS_PROJECTINITIALIZE ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMFS_SPLITENTRY', 'T_PMFS_SPLITENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMFS_SPE_ID_1') CREATE INDEX IDX_PMFS_SPE_ID_1 ON T_PMFS_SPLITENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMFS_EPA_PARTICIPANT', 'T_PMFS_EPA_PARTICIPANT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMFS_EPA_PAR_ID_1') CREATE INDEX IDX_PMFS_EPA_PAR_ID_1 ON T_PMFS_EPA_PARTICIPANT ( FID );


 EXEC P_ALTERPK 'PK_T_PMFS_INVESTREGISTER', 'T_PMFS_INVESTREGISTER', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMFS_INV_REG_0') CREATE  CLUSTERED INDEX IDX_PMFS_INV_REG_0 ON T_PMFS_INVESTREGISTER ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMFS_INVESTSTEPSENTRY', 'T_PMFS_INVESTSTEPSENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMFS_INV_STEP_ENTRY_0') CREATE  CLUSTERED INDEX IDX_PMFS_INV_STEP_ENTRY_0 ON T_PMFS_INVESTSTEPSENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMFS_PROGRESSREPORT', 'T_PMFS_PROGRESSREPORT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMFS_PROG_REP_0') CREATE  CLUSTERED INDEX IDX_PMFS_PROG_REP_0 ON T_PMFS_PROGRESSREPORT ( FBILLNO );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMFS_constraint.sql **/
