
-- 后台定时任务：更新预警灯

-- 预置调度任务类名数据
DELETE FROM T_SCH_TASKDEFINE where FID='1I72=8UO75LY';
INSERT INTO T_SCH_TASKDEFINE (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES ('1I72=8UO75LY', 'kd.pmgt.pmfs.formplugin.supervision.UpdateSupervisionLightTask', 'UpdateSupervisionLightTask', 'pmfs');

DELETE FROM T_SCH_TASKDEFINE_L where FPKID in ('1I72=8UO524X', '1I72=8UO524Y');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1I72=8UO524X', '1I72=8UO75LY', 'zh_CN', '更新督导预警灯后台定时任务');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1I72=8UO524Y', '1I72=8UO75LY', 'zh_TW', '更新督導預警燈後台定時任務');

-- 预置调度作业数据
DELETE FROM T_SCH_JOB where FID='1I72YBP+IAJH';
INSERT INTO T_SCH_JOB (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FNUMBER, FTASKDEFINEID, FSTATUS, FPARAMS, FTIMEOUT, FRUNBYORGID, FRUNBYLANG, FCONCURRENT, FRUNMODE, FSTRATEGY, FRETRYTIME) VALUES ('1I72YBP+IAJH', 'BIZ', 'kd.pmgt.pmfs.formplugin.supervision.UpdateSupervisionLightTask', '1102694775586551808', 'pmfs_updatespvwarnlighttask_SKDJ_S', '1I72=8UO75LY', '1', ' ', '0', '0', ' ', '0', '0', '1', '0');

DELETE FROM T_SCH_JOB_L where FPKID in ('1I72YBP22N=+', '1I72YBP22N=/');
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1I72YBP22N=+', '1I72YBP+IAJH', 'zh_CN', '更新督导预警灯作业');
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1I72YBP22N=/', '1I72YBP+IAJH', 'zh_TW', '更新督導預警燈作業');

DELETE FROM T_SCH_JOB_N where FID='1I72YBP+IAJH';
INSERT INTO T_SCH_JOB_N (FID, FFAILNOTIFY, FSUCCESSNOTIFY, FMSGCONTENT, FJOBPRINCIPAL, FNOTIFYTYPE, FCAPTION) VALUES ('1I72YBP+IAJH', '1', '0', ' ', '0', ' ', '调度作业通知');



-- 预置调度计划数据
DELETE FROM T_SCH_SCHEDULE where FID='1I736H+/E378';
INSERT INTO T_SCH_SCHEDULE (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC, FREPEATMODE) VALUES ('1I736H+/E378', ' ', {ts'2021-04-01 00:00:00'}, {ts'2099-12-31 00:00:00'}, '0 0 0 * * ?', 'pmfs_updatespvwarnlighttask', '1', '1', '172.19.111.179', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2021-04-01 00:00:00起，

每1天0时重复。

预计最近十次执行时间：

2021-04-01 00:00:00', 'd');

DELETE FROM T_SCH_SCHEDULE_L where FPKID in ('1I736H+/C/R7', '1I736H+/C/R8');
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1I736H+/C/R7', '1I736H+/E378', 'zh_CN', '更新督导预警灯调度计划');
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1I736H+/C/R8', '1I736H+/E378', 'zh_TW', '更新督導預警燈調度計劃');

DELETE FROM T_SCH_SCHEDULE_ENTRY where FID='1I736H+/E378';
INSERT INTO T_SCH_SCHEDULE_ENTRY (FID, FENTRYID, FSEQ, FJOBNUMBER) VALUES ('1I736H+/E378', '1I736H+/E379', '1', '1I72YBP+IAJH');























